This class defines a type of hook, such as `onBefore` or `onEnter`. Plugins can define custom hook types, such as sticky states does for `onInactive`.

interalapi

### Hierarchy

- TransitionEventType

## Index

### Constructors

- constructor

### Properties

- criteriaMatchPath
- getErrorHandler
- getResultHandler
- hookOrder
- hookPhase
- name
- reverseSort
- synchronous

## Constructors

- new TransitionEventType(name: string, hookPhase: TransitionHookPhase.CREATE | TransitionHookPhase.BEFORE | TransitionHookPhase.RUN | TransitionHookPhase.SUCCESS | TransitionHookPhase.ERROR, hookOrder: number, criteriaMatchPath: PathType, reverseSort?: boolean, getResultHandler?: GetResultHandler, getErrorHandler?: GetErrorHandler, synchronous?: boolean): TransitionEventType

- #### Parameters

  - ##### name string

  - ##### hookPhase TransitionHookPhase.CREATE | TransitionHookPhase.BEFORE | TransitionHookPhase.RUN | TransitionHookPhase.SUCCESS | TransitionHookPhase.ERROR

  - ##### hookOrder number

  - ##### criteriaMatchPath PathType

  - ##### reverseSort: Default value boolean = false

  - ##### getResultHandler: Default value GetResultHandler = TransitionHook.HANDLE_RESULT

  - ##### getErrorHandler: Default value GetErrorHandler = TransitionHook.REJECT_ERROR

  - ##### synchronous: Default value boolean = false

  #### Returns TransitionEventType

  - Defined in transition/transitionEventType.ts:10

## Properties

criteriaMatchPath: PathType

- Defined in transition/transitionEventType.ts:15

getErrorHandler: GetErrorHandler

- Defined in transition/transitionEventType.ts:18

getResultHandler: GetResultHandler

- Defined in transition/transitionEventType.ts:17

hookOrder: number

- Defined in transition/transitionEventType.ts:14

hookPhase: TransitionHookPhase.CREATE | TransitionHookPhase.BEFORE | TransitionHookPhase.RUN | TransitionHookPhase.SUCCESS | TransitionHookPhase.ERROR

- Defined in transition/transitionEventType.ts:13

name: string

- Defined in transition/transitionEventType.ts:12

reverseSort: boolean

- Defined in transition/transitionEventType.ts:16

synchronous: boolean

- Defined in transition/transitionEventType.ts:19

Generated using TypeDoc